open import Lib.Equality as Eq using (_==_; auto)
open import Lib.Word
open import Lib.Word-Lemmas
open Monoid-Equational
open import Lib.Word-Tactics

open import Index

open import Step1.Theorem using (module TwoLevel-Less)
open TwoLevel-Less
open import Step2.Theorem using (module TwoLevel-Simplified ; f ; g)
open TwoLevel-Simplified

open import Step2.TwoLevel-Simplified-Lemmas
open BCu

module Step2.hypB.ax7a where

  lemma-[7a] : ∀ {j k l m} {jk : Less j k} {lm : Less l m} -> {mj : Less m j} -> TwoLevel-Simplified.Rel ⊢ (g *) (X jk • X lm) === (g *) (X lm • X jk)
  lemma-[7a] {.₀} {.₁} {.₀} {.₁} {₀₁} {₀₁} {()}
  lemma-[7a] {.₀} {.₁} {.₀} {.₂} {₀₁} {₀₂} {()}
  lemma-[7a] {.₀} {.₁} {.₀} {.₃} {₀₁} {₀₃} {()}
  lemma-[7a] {.₀} {.₁} {.₀} {.₄} {₀₁} {₀₄} {()}
  lemma-[7a] {.₀} {.₁} {.₀} {.₅} {₀₁} {₀₅} {()}
  lemma-[7a] {.₀} {.₁} {.₀} {.₆} {₀₁} {₀₆} {()}
  lemma-[7a] {.₀} {.₁} {.₀} {.₇} {₀₁} {₀₇} {()}
  lemma-[7a] {.₀} {.₁} {.₁} {.₂} {₀₁} {₁₂} {()}
  lemma-[7a] {.₀} {.₁} {.₁} {.₃} {₀₁} {₁₃} {()}
  lemma-[7a] {.₀} {.₁} {.₁} {.₄} {₀₁} {₁₄} {()}
  lemma-[7a] {.₀} {.₁} {.₁} {.₅} {₀₁} {₁₅} {()}
  lemma-[7a] {.₀} {.₁} {.₁} {.₆} {₀₁} {₁₆} {()}
  lemma-[7a] {.₀} {.₁} {.₁} {.₇} {₀₁} {₁₇} {()}
  lemma-[7a] {.₀} {.₁} {.₂} {.₃} {₀₁} {₂₃} {()}
  lemma-[7a] {.₀} {.₁} {.₂} {.₄} {₀₁} {₂₄} {()}
  lemma-[7a] {.₀} {.₁} {.₂} {.₅} {₀₁} {₂₅} {()}
  lemma-[7a] {.₀} {.₁} {.₂} {.₆} {₀₁} {₂₆} {()}
  lemma-[7a] {.₀} {.₁} {.₂} {.₇} {₀₁} {₂₇} {()}
  lemma-[7a] {.₀} {.₁} {.₃} {.₄} {₀₁} {₃₄} {()}
  lemma-[7a] {.₀} {.₁} {.₃} {.₅} {₀₁} {₃₅} {()}
  lemma-[7a] {.₀} {.₁} {.₃} {.₆} {₀₁} {₃₆} {()}
  lemma-[7a] {.₀} {.₁} {.₃} {.₇} {₀₁} {₃₇} {()}
  lemma-[7a] {.₀} {.₁} {.₄} {.₅} {₀₁} {₄₅} {()}
  lemma-[7a] {.₀} {.₁} {.₄} {.₆} {₀₁} {₄₆} {()}
  lemma-[7a] {.₀} {.₁} {.₄} {.₇} {₀₁} {₄₇} {()}
  lemma-[7a] {.₀} {.₁} {.₅} {.₆} {₀₁} {₅₆} {()}
  lemma-[7a] {.₀} {.₁} {.₅} {.₇} {₀₁} {₅₇} {()}
  lemma-[7a] {.₀} {.₁} {.₆} {.₇} {₀₁} {₆₇} {()}
  lemma-[7a] {.₀} {.₂} {.₀} {.₁} {₀₂} {₀₁} {()}
  lemma-[7a] {.₀} {.₂} {.₀} {.₂} {₀₂} {₀₂} {()}
  lemma-[7a] {.₀} {.₂} {.₀} {.₃} {₀₂} {₀₃} {()}
  lemma-[7a] {.₀} {.₂} {.₀} {.₄} {₀₂} {₀₄} {()}
  lemma-[7a] {.₀} {.₂} {.₀} {.₅} {₀₂} {₀₅} {()}
  lemma-[7a] {.₀} {.₂} {.₀} {.₆} {₀₂} {₀₆} {()}
  lemma-[7a] {.₀} {.₂} {.₀} {.₇} {₀₂} {₀₇} {()}
  lemma-[7a] {.₀} {.₂} {.₁} {.₂} {₀₂} {₁₂} {()}
  lemma-[7a] {.₀} {.₂} {.₁} {.₃} {₀₂} {₁₃} {()}
  lemma-[7a] {.₀} {.₂} {.₁} {.₄} {₀₂} {₁₄} {()}
  lemma-[7a] {.₀} {.₂} {.₁} {.₅} {₀₂} {₁₅} {()}
  lemma-[7a] {.₀} {.₂} {.₁} {.₆} {₀₂} {₁₆} {()}
  lemma-[7a] {.₀} {.₂} {.₁} {.₇} {₀₂} {₁₇} {()}
  lemma-[7a] {.₀} {.₂} {.₂} {.₃} {₀₂} {₂₃} {()}
  lemma-[7a] {.₀} {.₂} {.₂} {.₄} {₀₂} {₂₄} {()}
  lemma-[7a] {.₀} {.₂} {.₂} {.₅} {₀₂} {₂₅} {()}
  lemma-[7a] {.₀} {.₂} {.₂} {.₆} {₀₂} {₂₆} {()}
  lemma-[7a] {.₀} {.₂} {.₂} {.₇} {₀₂} {₂₇} {()}
  lemma-[7a] {.₀} {.₂} {.₃} {.₄} {₀₂} {₃₄} {()}
  lemma-[7a] {.₀} {.₂} {.₃} {.₅} {₀₂} {₃₅} {()}
  lemma-[7a] {.₀} {.₂} {.₃} {.₆} {₀₂} {₃₆} {()}
  lemma-[7a] {.₀} {.₂} {.₃} {.₇} {₀₂} {₃₇} {()}
  lemma-[7a] {.₀} {.₂} {.₄} {.₅} {₀₂} {₄₅} {()}
  lemma-[7a] {.₀} {.₂} {.₄} {.₆} {₀₂} {₄₆} {()}
  lemma-[7a] {.₀} {.₂} {.₄} {.₇} {₀₂} {₄₇} {()}
  lemma-[7a] {.₀} {.₂} {.₅} {.₆} {₀₂} {₅₆} {()}
  lemma-[7a] {.₀} {.₂} {.₅} {.₇} {₀₂} {₅₇} {()}
  lemma-[7a] {.₀} {.₂} {.₆} {.₇} {₀₂} {₆₇} {()}
  lemma-[7a] {.₀} {.₃} {.₀} {.₁} {₀₃} {₀₁} {()}
  lemma-[7a] {.₀} {.₃} {.₀} {.₂} {₀₃} {₀₂} {()}
  lemma-[7a] {.₀} {.₃} {.₀} {.₃} {₀₃} {₀₃} {()}
  lemma-[7a] {.₀} {.₃} {.₀} {.₄} {₀₃} {₀₄} {()}
  lemma-[7a] {.₀} {.₃} {.₀} {.₅} {₀₃} {₀₅} {()}
  lemma-[7a] {.₀} {.₃} {.₀} {.₆} {₀₃} {₀₆} {()}
  lemma-[7a] {.₀} {.₃} {.₀} {.₇} {₀₃} {₀₇} {()}
  lemma-[7a] {.₀} {.₃} {.₁} {.₂} {₀₃} {₁₂} {()}
  lemma-[7a] {.₀} {.₃} {.₁} {.₃} {₀₃} {₁₃} {()}
  lemma-[7a] {.₀} {.₃} {.₁} {.₄} {₀₃} {₁₄} {()}
  lemma-[7a] {.₀} {.₃} {.₁} {.₅} {₀₃} {₁₅} {()}
  lemma-[7a] {.₀} {.₃} {.₁} {.₆} {₀₃} {₁₆} {()}
  lemma-[7a] {.₀} {.₃} {.₁} {.₇} {₀₃} {₁₇} {()}
  lemma-[7a] {.₀} {.₃} {.₂} {.₃} {₀₃} {₂₃} {()}
  lemma-[7a] {.₀} {.₃} {.₂} {.₄} {₀₃} {₂₄} {()}
  lemma-[7a] {.₀} {.₃} {.₂} {.₅} {₀₃} {₂₅} {()}
  lemma-[7a] {.₀} {.₃} {.₂} {.₆} {₀₃} {₂₆} {()}
  lemma-[7a] {.₀} {.₃} {.₂} {.₇} {₀₃} {₂₇} {()}
  lemma-[7a] {.₀} {.₃} {.₃} {.₄} {₀₃} {₃₄} {()}
  lemma-[7a] {.₀} {.₃} {.₃} {.₅} {₀₃} {₃₅} {()}
  lemma-[7a] {.₀} {.₃} {.₃} {.₆} {₀₃} {₃₆} {()}
  lemma-[7a] {.₀} {.₃} {.₃} {.₇} {₀₃} {₃₇} {()}
  lemma-[7a] {.₀} {.₃} {.₄} {.₅} {₀₃} {₄₅} {()}
  lemma-[7a] {.₀} {.₃} {.₄} {.₆} {₀₃} {₄₆} {()}
  lemma-[7a] {.₀} {.₃} {.₄} {.₇} {₀₃} {₄₇} {()}
  lemma-[7a] {.₀} {.₃} {.₅} {.₆} {₀₃} {₅₆} {()}
  lemma-[7a] {.₀} {.₃} {.₅} {.₇} {₀₃} {₅₇} {()}
  lemma-[7a] {.₀} {.₃} {.₆} {.₇} {₀₃} {₆₇} {()}
  lemma-[7a] {.₀} {.₄} {.₀} {.₁} {₀₄} {₀₁} {()}
  lemma-[7a] {.₀} {.₄} {.₀} {.₂} {₀₄} {₀₂} {()}
  lemma-[7a] {.₀} {.₄} {.₀} {.₃} {₀₄} {₀₃} {()}
  lemma-[7a] {.₀} {.₄} {.₀} {.₄} {₀₄} {₀₄} {()}
  lemma-[7a] {.₀} {.₄} {.₀} {.₅} {₀₄} {₀₅} {()}
  lemma-[7a] {.₀} {.₄} {.₀} {.₆} {₀₄} {₀₆} {()}
  lemma-[7a] {.₀} {.₄} {.₀} {.₇} {₀₄} {₀₇} {()}
  lemma-[7a] {.₀} {.₄} {.₁} {.₂} {₀₄} {₁₂} {()}
  lemma-[7a] {.₀} {.₄} {.₁} {.₃} {₀₄} {₁₃} {()}
  lemma-[7a] {.₀} {.₄} {.₁} {.₄} {₀₄} {₁₄} {()}
  lemma-[7a] {.₀} {.₄} {.₁} {.₅} {₀₄} {₁₅} {()}
  lemma-[7a] {.₀} {.₄} {.₁} {.₆} {₀₄} {₁₆} {()}
  lemma-[7a] {.₀} {.₄} {.₁} {.₇} {₀₄} {₁₇} {()}
  lemma-[7a] {.₀} {.₄} {.₂} {.₃} {₀₄} {₂₃} {()}
  lemma-[7a] {.₀} {.₄} {.₂} {.₄} {₀₄} {₂₄} {()}
  lemma-[7a] {.₀} {.₄} {.₂} {.₅} {₀₄} {₂₅} {()}
  lemma-[7a] {.₀} {.₄} {.₂} {.₆} {₀₄} {₂₆} {()}
  lemma-[7a] {.₀} {.₄} {.₂} {.₇} {₀₄} {₂₇} {()}
  lemma-[7a] {.₀} {.₄} {.₃} {.₄} {₀₄} {₃₄} {()}
  lemma-[7a] {.₀} {.₄} {.₃} {.₅} {₀₄} {₃₅} {()}
  lemma-[7a] {.₀} {.₄} {.₃} {.₆} {₀₄} {₃₆} {()}
  lemma-[7a] {.₀} {.₄} {.₃} {.₇} {₀₄} {₃₇} {()}
  lemma-[7a] {.₀} {.₄} {.₄} {.₅} {₀₄} {₄₅} {()}
  lemma-[7a] {.₀} {.₄} {.₄} {.₆} {₀₄} {₄₆} {()}
  lemma-[7a] {.₀} {.₄} {.₄} {.₇} {₀₄} {₄₇} {()}
  lemma-[7a] {.₀} {.₄} {.₅} {.₆} {₀₄} {₅₆} {()}
  lemma-[7a] {.₀} {.₄} {.₅} {.₇} {₀₄} {₅₇} {()}
  lemma-[7a] {.₀} {.₄} {.₆} {.₇} {₀₄} {₆₇} {()}
  lemma-[7a] {.₀} {.₅} {.₀} {.₁} {₀₅} {₀₁} {()}
  lemma-[7a] {.₀} {.₅} {.₀} {.₂} {₀₅} {₀₂} {()}
  lemma-[7a] {.₀} {.₅} {.₀} {.₃} {₀₅} {₀₃} {()}
  lemma-[7a] {.₀} {.₅} {.₀} {.₄} {₀₅} {₀₄} {()}
  lemma-[7a] {.₀} {.₅} {.₀} {.₅} {₀₅} {₀₅} {()}
  lemma-[7a] {.₀} {.₅} {.₀} {.₆} {₀₅} {₀₆} {()}
  lemma-[7a] {.₀} {.₅} {.₀} {.₇} {₀₅} {₀₇} {()}
  lemma-[7a] {.₀} {.₅} {.₁} {.₂} {₀₅} {₁₂} {()}
  lemma-[7a] {.₀} {.₅} {.₁} {.₃} {₀₅} {₁₃} {()}
  lemma-[7a] {.₀} {.₅} {.₁} {.₄} {₀₅} {₁₄} {()}
  lemma-[7a] {.₀} {.₅} {.₁} {.₅} {₀₅} {₁₅} {()}
  lemma-[7a] {.₀} {.₅} {.₁} {.₆} {₀₅} {₁₆} {()}
  lemma-[7a] {.₀} {.₅} {.₁} {.₇} {₀₅} {₁₇} {()}
  lemma-[7a] {.₀} {.₅} {.₂} {.₃} {₀₅} {₂₃} {()}
  lemma-[7a] {.₀} {.₅} {.₂} {.₄} {₀₅} {₂₄} {()}
  lemma-[7a] {.₀} {.₅} {.₂} {.₅} {₀₅} {₂₅} {()}
  lemma-[7a] {.₀} {.₅} {.₂} {.₆} {₀₅} {₂₆} {()}
  lemma-[7a] {.₀} {.₅} {.₂} {.₇} {₀₅} {₂₇} {()}
  lemma-[7a] {.₀} {.₅} {.₃} {.₄} {₀₅} {₃₄} {()}
  lemma-[7a] {.₀} {.₅} {.₃} {.₅} {₀₅} {₃₅} {()}
  lemma-[7a] {.₀} {.₅} {.₃} {.₆} {₀₅} {₃₆} {()}
  lemma-[7a] {.₀} {.₅} {.₃} {.₇} {₀₅} {₃₇} {()}
  lemma-[7a] {.₀} {.₅} {.₄} {.₅} {₀₅} {₄₅} {()}
  lemma-[7a] {.₀} {.₅} {.₄} {.₆} {₀₅} {₄₆} {()}
  lemma-[7a] {.₀} {.₅} {.₄} {.₇} {₀₅} {₄₇} {()}
  lemma-[7a] {.₀} {.₅} {.₅} {.₆} {₀₅} {₅₆} {()}
  lemma-[7a] {.₀} {.₅} {.₅} {.₇} {₀₅} {₅₇} {()}
  lemma-[7a] {.₀} {.₅} {.₆} {.₇} {₀₅} {₆₇} {()}
  lemma-[7a] {.₀} {.₆} {.₀} {.₁} {₀₆} {₀₁} {()}
  lemma-[7a] {.₀} {.₆} {.₀} {.₂} {₀₆} {₀₂} {()}
  lemma-[7a] {.₀} {.₆} {.₀} {.₃} {₀₆} {₀₃} {()}
  lemma-[7a] {.₀} {.₆} {.₀} {.₄} {₀₆} {₀₄} {()}
  lemma-[7a] {.₀} {.₆} {.₀} {.₅} {₀₆} {₀₅} {()}
  lemma-[7a] {.₀} {.₆} {.₀} {.₆} {₀₆} {₀₆} {()}
  lemma-[7a] {.₀} {.₆} {.₀} {.₇} {₀₆} {₀₇} {()}
  lemma-[7a] {.₀} {.₆} {.₁} {.₂} {₀₆} {₁₂} {()}
  lemma-[7a] {.₀} {.₆} {.₁} {.₃} {₀₆} {₁₃} {()}
  lemma-[7a] {.₀} {.₆} {.₁} {.₄} {₀₆} {₁₄} {()}
  lemma-[7a] {.₀} {.₆} {.₁} {.₅} {₀₆} {₁₅} {()}
  lemma-[7a] {.₀} {.₆} {.₁} {.₆} {₀₆} {₁₆} {()}
  lemma-[7a] {.₀} {.₆} {.₁} {.₇} {₀₆} {₁₇} {()}
  lemma-[7a] {.₀} {.₆} {.₂} {.₃} {₀₆} {₂₃} {()}
  lemma-[7a] {.₀} {.₆} {.₂} {.₄} {₀₆} {₂₄} {()}
  lemma-[7a] {.₀} {.₆} {.₂} {.₅} {₀₆} {₂₅} {()}
  lemma-[7a] {.₀} {.₆} {.₂} {.₆} {₀₆} {₂₆} {()}
  lemma-[7a] {.₀} {.₆} {.₂} {.₇} {₀₆} {₂₇} {()}
  lemma-[7a] {.₀} {.₆} {.₃} {.₄} {₀₆} {₃₄} {()}
  lemma-[7a] {.₀} {.₆} {.₃} {.₅} {₀₆} {₃₅} {()}
  lemma-[7a] {.₀} {.₆} {.₃} {.₆} {₀₆} {₃₆} {()}
  lemma-[7a] {.₀} {.₆} {.₃} {.₇} {₀₆} {₃₇} {()}
  lemma-[7a] {.₀} {.₆} {.₄} {.₅} {₀₆} {₄₅} {()}
  lemma-[7a] {.₀} {.₆} {.₄} {.₆} {₀₆} {₄₆} {()}
  lemma-[7a] {.₀} {.₆} {.₄} {.₇} {₀₆} {₄₇} {()}
  lemma-[7a] {.₀} {.₆} {.₅} {.₆} {₀₆} {₅₆} {()}
  lemma-[7a] {.₀} {.₆} {.₅} {.₇} {₀₆} {₅₇} {()}
  lemma-[7a] {.₀} {.₆} {.₆} {.₇} {₀₆} {₆₇} {()}
  lemma-[7a] {.₀} {.₇} {.₀} {.₁} {₀₇} {₀₁} {()}
  lemma-[7a] {.₀} {.₇} {.₀} {.₂} {₀₇} {₀₂} {()}
  lemma-[7a] {.₀} {.₇} {.₀} {.₃} {₀₇} {₀₃} {()}
  lemma-[7a] {.₀} {.₇} {.₀} {.₄} {₀₇} {₀₄} {()}
  lemma-[7a] {.₀} {.₇} {.₀} {.₅} {₀₇} {₀₅} {()}
  lemma-[7a] {.₀} {.₇} {.₀} {.₆} {₀₇} {₀₆} {()}
  lemma-[7a] {.₀} {.₇} {.₀} {.₇} {₀₇} {₀₇} {()}
  lemma-[7a] {.₀} {.₇} {.₁} {.₂} {₀₇} {₁₂} {()}
  lemma-[7a] {.₀} {.₇} {.₁} {.₃} {₀₇} {₁₃} {()}
  lemma-[7a] {.₀} {.₇} {.₁} {.₄} {₀₇} {₁₄} {()}
  lemma-[7a] {.₀} {.₇} {.₁} {.₅} {₀₇} {₁₅} {()}
  lemma-[7a] {.₀} {.₇} {.₁} {.₆} {₀₇} {₁₆} {()}
  lemma-[7a] {.₀} {.₇} {.₁} {.₇} {₀₇} {₁₇} {()}
  lemma-[7a] {.₀} {.₇} {.₂} {.₃} {₀₇} {₂₃} {()}
  lemma-[7a] {.₀} {.₇} {.₂} {.₄} {₀₇} {₂₄} {()}
  lemma-[7a] {.₀} {.₇} {.₂} {.₅} {₀₇} {₂₅} {()}
  lemma-[7a] {.₀} {.₇} {.₂} {.₆} {₀₇} {₂₆} {()}
  lemma-[7a] {.₀} {.₇} {.₂} {.₇} {₀₇} {₂₇} {()}
  lemma-[7a] {.₀} {.₇} {.₃} {.₄} {₀₇} {₃₄} {()}
  lemma-[7a] {.₀} {.₇} {.₃} {.₅} {₀₇} {₃₅} {()}
  lemma-[7a] {.₀} {.₇} {.₃} {.₆} {₀₇} {₃₆} {()}
  lemma-[7a] {.₀} {.₇} {.₃} {.₇} {₀₇} {₃₇} {()}
  lemma-[7a] {.₀} {.₇} {.₄} {.₅} {₀₇} {₄₅} {()}
  lemma-[7a] {.₀} {.₇} {.₄} {.₆} {₀₇} {₄₆} {()}
  lemma-[7a] {.₀} {.₇} {.₄} {.₇} {₀₇} {₄₇} {()}
  lemma-[7a] {.₀} {.₇} {.₅} {.₆} {₀₇} {₅₆} {()}
  lemma-[7a] {.₀} {.₇} {.₅} {.₇} {₀₇} {₅₇} {()}
  lemma-[7a] {.₀} {.₇} {.₆} {.₇} {₀₇} {₆₇} {()}
  lemma-[7a] {.₁} {.₂} {.₀} {.₁} {₁₂} {₀₁} {()}
  lemma-[7a] {.₁} {.₂} {.₀} {.₂} {₁₂} {₀₂} {()}
  lemma-[7a] {.₁} {.₂} {.₀} {.₃} {₁₂} {₀₃} {()}
  lemma-[7a] {.₁} {.₂} {.₀} {.₄} {₁₂} {₀₄} {()}
  lemma-[7a] {.₁} {.₂} {.₀} {.₅} {₁₂} {₀₅} {()}
  lemma-[7a] {.₁} {.₂} {.₀} {.₆} {₁₂} {₀₆} {()}
  lemma-[7a] {.₁} {.₂} {.₀} {.₇} {₁₂} {₀₇} {()}
  lemma-[7a] {.₁} {.₂} {.₁} {.₂} {₁₂} {₁₂} {()}
  lemma-[7a] {.₁} {.₂} {.₁} {.₃} {₁₂} {₁₃} {()}
  lemma-[7a] {.₁} {.₂} {.₁} {.₄} {₁₂} {₁₄} {()}
  lemma-[7a] {.₁} {.₂} {.₁} {.₅} {₁₂} {₁₅} {()}
  lemma-[7a] {.₁} {.₂} {.₁} {.₆} {₁₂} {₁₆} {()}
  lemma-[7a] {.₁} {.₂} {.₁} {.₇} {₁₂} {₁₇} {()}
  lemma-[7a] {.₁} {.₂} {.₂} {.₃} {₁₂} {₂₃} {()}
  lemma-[7a] {.₁} {.₂} {.₂} {.₄} {₁₂} {₂₄} {()}
  lemma-[7a] {.₁} {.₂} {.₂} {.₅} {₁₂} {₂₅} {()}
  lemma-[7a] {.₁} {.₂} {.₂} {.₆} {₁₂} {₂₆} {()}
  lemma-[7a] {.₁} {.₂} {.₂} {.₇} {₁₂} {₂₇} {()}
  lemma-[7a] {.₁} {.₂} {.₃} {.₄} {₁₂} {₃₄} {()}
  lemma-[7a] {.₁} {.₂} {.₃} {.₅} {₁₂} {₃₅} {()}
  lemma-[7a] {.₁} {.₂} {.₃} {.₆} {₁₂} {₃₆} {()}
  lemma-[7a] {.₁} {.₂} {.₃} {.₇} {₁₂} {₃₇} {()}
  lemma-[7a] {.₁} {.₂} {.₄} {.₅} {₁₂} {₄₅} {()}
  lemma-[7a] {.₁} {.₂} {.₄} {.₆} {₁₂} {₄₆} {()}
  lemma-[7a] {.₁} {.₂} {.₄} {.₇} {₁₂} {₄₇} {()}
  lemma-[7a] {.₁} {.₂} {.₅} {.₆} {₁₂} {₅₆} {()}
  lemma-[7a] {.₁} {.₂} {.₅} {.₇} {₁₂} {₅₇} {()}
  lemma-[7a] {.₁} {.₂} {.₆} {.₇} {₁₂} {₆₇} {()}
  lemma-[7a] {.₁} {.₃} {.₀} {.₁} {₁₃} {₀₁} {()}
  lemma-[7a] {.₁} {.₃} {.₀} {.₂} {₁₃} {₀₂} {()}
  lemma-[7a] {.₁} {.₃} {.₀} {.₃} {₁₃} {₀₃} {()}
  lemma-[7a] {.₁} {.₃} {.₀} {.₄} {₁₃} {₀₄} {()}
  lemma-[7a] {.₁} {.₃} {.₀} {.₅} {₁₃} {₀₅} {()}
  lemma-[7a] {.₁} {.₃} {.₀} {.₆} {₁₃} {₀₆} {()}
  lemma-[7a] {.₁} {.₃} {.₀} {.₇} {₁₃} {₀₇} {()}
  lemma-[7a] {.₁} {.₃} {.₁} {.₂} {₁₃} {₁₂} {()}
  lemma-[7a] {.₁} {.₃} {.₁} {.₃} {₁₃} {₁₃} {()}
  lemma-[7a] {.₁} {.₃} {.₁} {.₄} {₁₃} {₁₄} {()}
  lemma-[7a] {.₁} {.₃} {.₁} {.₅} {₁₃} {₁₅} {()}
  lemma-[7a] {.₁} {.₃} {.₁} {.₆} {₁₃} {₁₆} {()}
  lemma-[7a] {.₁} {.₃} {.₁} {.₇} {₁₃} {₁₇} {()}
  lemma-[7a] {.₁} {.₃} {.₂} {.₃} {₁₃} {₂₃} {()}
  lemma-[7a] {.₁} {.₃} {.₂} {.₄} {₁₃} {₂₄} {()}
  lemma-[7a] {.₁} {.₃} {.₂} {.₅} {₁₃} {₂₅} {()}
  lemma-[7a] {.₁} {.₃} {.₂} {.₆} {₁₃} {₂₆} {()}
  lemma-[7a] {.₁} {.₃} {.₂} {.₇} {₁₃} {₂₇} {()}
  lemma-[7a] {.₁} {.₃} {.₃} {.₄} {₁₃} {₃₄} {()}
  lemma-[7a] {.₁} {.₃} {.₃} {.₅} {₁₃} {₃₅} {()}
  lemma-[7a] {.₁} {.₃} {.₃} {.₆} {₁₃} {₃₆} {()}
  lemma-[7a] {.₁} {.₃} {.₃} {.₇} {₁₃} {₃₇} {()}
  lemma-[7a] {.₁} {.₃} {.₄} {.₅} {₁₃} {₄₅} {()}
  lemma-[7a] {.₁} {.₃} {.₄} {.₆} {₁₃} {₄₆} {()}
  lemma-[7a] {.₁} {.₃} {.₄} {.₇} {₁₃} {₄₇} {()}
  lemma-[7a] {.₁} {.₃} {.₅} {.₆} {₁₃} {₅₆} {()}
  lemma-[7a] {.₁} {.₃} {.₅} {.₇} {₁₃} {₅₇} {()}
  lemma-[7a] {.₁} {.₃} {.₆} {.₇} {₁₃} {₆₇} {()}
  lemma-[7a] {.₁} {.₄} {.₀} {.₁} {₁₄} {₀₁} {()}
  lemma-[7a] {.₁} {.₄} {.₀} {.₂} {₁₄} {₀₂} {()}
  lemma-[7a] {.₁} {.₄} {.₀} {.₃} {₁₄} {₀₃} {()}
  lemma-[7a] {.₁} {.₄} {.₀} {.₄} {₁₄} {₀₄} {()}
  lemma-[7a] {.₁} {.₄} {.₀} {.₅} {₁₄} {₀₅} {()}
  lemma-[7a] {.₁} {.₄} {.₀} {.₆} {₁₄} {₀₆} {()}
  lemma-[7a] {.₁} {.₄} {.₀} {.₇} {₁₄} {₀₇} {()}
  lemma-[7a] {.₁} {.₄} {.₁} {.₂} {₁₄} {₁₂} {()}
  lemma-[7a] {.₁} {.₄} {.₁} {.₃} {₁₄} {₁₃} {()}
  lemma-[7a] {.₁} {.₄} {.₁} {.₄} {₁₄} {₁₄} {()}
  lemma-[7a] {.₁} {.₄} {.₁} {.₅} {₁₄} {₁₅} {()}
  lemma-[7a] {.₁} {.₄} {.₁} {.₆} {₁₄} {₁₆} {()}
  lemma-[7a] {.₁} {.₄} {.₁} {.₇} {₁₄} {₁₇} {()}
  lemma-[7a] {.₁} {.₄} {.₂} {.₃} {₁₄} {₂₃} {()}
  lemma-[7a] {.₁} {.₄} {.₂} {.₄} {₁₄} {₂₄} {()}
  lemma-[7a] {.₁} {.₄} {.₂} {.₅} {₁₄} {₂₅} {()}
  lemma-[7a] {.₁} {.₄} {.₂} {.₆} {₁₄} {₂₆} {()}
  lemma-[7a] {.₁} {.₄} {.₂} {.₇} {₁₄} {₂₇} {()}
  lemma-[7a] {.₁} {.₄} {.₃} {.₄} {₁₄} {₃₄} {()}
  lemma-[7a] {.₁} {.₄} {.₃} {.₅} {₁₄} {₃₅} {()}
  lemma-[7a] {.₁} {.₄} {.₃} {.₆} {₁₄} {₃₆} {()}
  lemma-[7a] {.₁} {.₄} {.₃} {.₇} {₁₄} {₃₇} {()}
  lemma-[7a] {.₁} {.₄} {.₄} {.₅} {₁₄} {₄₅} {()}
  lemma-[7a] {.₁} {.₄} {.₄} {.₆} {₁₄} {₄₆} {()}
  lemma-[7a] {.₁} {.₄} {.₄} {.₇} {₁₄} {₄₇} {()}
  lemma-[7a] {.₁} {.₄} {.₅} {.₆} {₁₄} {₅₆} {()}
  lemma-[7a] {.₁} {.₄} {.₅} {.₇} {₁₄} {₅₇} {()}
  lemma-[7a] {.₁} {.₄} {.₆} {.₇} {₁₄} {₆₇} {()}
  lemma-[7a] {.₁} {.₅} {.₀} {.₁} {₁₅} {₀₁} {()}
  lemma-[7a] {.₁} {.₅} {.₀} {.₂} {₁₅} {₀₂} {()}
  lemma-[7a] {.₁} {.₅} {.₀} {.₃} {₁₅} {₀₃} {()}
  lemma-[7a] {.₁} {.₅} {.₀} {.₄} {₁₅} {₀₄} {()}
  lemma-[7a] {.₁} {.₅} {.₀} {.₅} {₁₅} {₀₅} {()}
  lemma-[7a] {.₁} {.₅} {.₀} {.₆} {₁₅} {₀₆} {()}
  lemma-[7a] {.₁} {.₅} {.₀} {.₇} {₁₅} {₀₇} {()}
  lemma-[7a] {.₁} {.₅} {.₁} {.₂} {₁₅} {₁₂} {()}
  lemma-[7a] {.₁} {.₅} {.₁} {.₃} {₁₅} {₁₃} {()}
  lemma-[7a] {.₁} {.₅} {.₁} {.₄} {₁₅} {₁₄} {()}
  lemma-[7a] {.₁} {.₅} {.₁} {.₅} {₁₅} {₁₅} {()}
  lemma-[7a] {.₁} {.₅} {.₁} {.₆} {₁₅} {₁₆} {()}
  lemma-[7a] {.₁} {.₅} {.₁} {.₇} {₁₅} {₁₇} {()}
  lemma-[7a] {.₁} {.₅} {.₂} {.₃} {₁₅} {₂₃} {()}
  lemma-[7a] {.₁} {.₅} {.₂} {.₄} {₁₅} {₂₄} {()}
  lemma-[7a] {.₁} {.₅} {.₂} {.₅} {₁₅} {₂₅} {()}
  lemma-[7a] {.₁} {.₅} {.₂} {.₆} {₁₅} {₂₆} {()}
  lemma-[7a] {.₁} {.₅} {.₂} {.₇} {₁₅} {₂₇} {()}
  lemma-[7a] {.₁} {.₅} {.₃} {.₄} {₁₅} {₃₄} {()}
  lemma-[7a] {.₁} {.₅} {.₃} {.₅} {₁₅} {₃₅} {()}
  lemma-[7a] {.₁} {.₅} {.₃} {.₆} {₁₅} {₃₆} {()}
  lemma-[7a] {.₁} {.₅} {.₃} {.₇} {₁₅} {₃₇} {()}
  lemma-[7a] {.₁} {.₅} {.₄} {.₅} {₁₅} {₄₅} {()}
  lemma-[7a] {.₁} {.₅} {.₄} {.₆} {₁₅} {₄₆} {()}
  lemma-[7a] {.₁} {.₅} {.₄} {.₇} {₁₅} {₄₇} {()}
  lemma-[7a] {.₁} {.₅} {.₅} {.₆} {₁₅} {₅₆} {()}
  lemma-[7a] {.₁} {.₅} {.₅} {.₇} {₁₅} {₅₇} {()}
  lemma-[7a] {.₁} {.₅} {.₆} {.₇} {₁₅} {₆₇} {()}
  lemma-[7a] {.₁} {.₆} {.₀} {.₁} {₁₆} {₀₁} {()}
  lemma-[7a] {.₁} {.₆} {.₀} {.₂} {₁₆} {₀₂} {()}
  lemma-[7a] {.₁} {.₆} {.₀} {.₃} {₁₆} {₀₃} {()}
  lemma-[7a] {.₁} {.₆} {.₀} {.₄} {₁₆} {₀₄} {()}
  lemma-[7a] {.₁} {.₆} {.₀} {.₅} {₁₆} {₀₅} {()}
  lemma-[7a] {.₁} {.₆} {.₀} {.₆} {₁₆} {₀₆} {()}
  lemma-[7a] {.₁} {.₆} {.₀} {.₇} {₁₆} {₀₇} {()}
  lemma-[7a] {.₁} {.₆} {.₁} {.₂} {₁₆} {₁₂} {()}
  lemma-[7a] {.₁} {.₆} {.₁} {.₃} {₁₆} {₁₃} {()}
  lemma-[7a] {.₁} {.₆} {.₁} {.₄} {₁₆} {₁₄} {()}
  lemma-[7a] {.₁} {.₆} {.₁} {.₅} {₁₆} {₁₅} {()}
  lemma-[7a] {.₁} {.₆} {.₁} {.₆} {₁₆} {₁₆} {()}
  lemma-[7a] {.₁} {.₆} {.₁} {.₇} {₁₆} {₁₇} {()}
  lemma-[7a] {.₁} {.₆} {.₂} {.₃} {₁₆} {₂₃} {()}
  lemma-[7a] {.₁} {.₆} {.₂} {.₄} {₁₆} {₂₄} {()}
  lemma-[7a] {.₁} {.₆} {.₂} {.₅} {₁₆} {₂₅} {()}
  lemma-[7a] {.₁} {.₆} {.₂} {.₆} {₁₆} {₂₆} {()}
  lemma-[7a] {.₁} {.₆} {.₂} {.₇} {₁₆} {₂₇} {()}
  lemma-[7a] {.₁} {.₆} {.₃} {.₄} {₁₆} {₃₄} {()}
  lemma-[7a] {.₁} {.₆} {.₃} {.₅} {₁₆} {₃₅} {()}
  lemma-[7a] {.₁} {.₆} {.₃} {.₆} {₁₆} {₃₆} {()}
  lemma-[7a] {.₁} {.₆} {.₃} {.₇} {₁₆} {₃₇} {()}
  lemma-[7a] {.₁} {.₆} {.₄} {.₅} {₁₆} {₄₅} {()}
  lemma-[7a] {.₁} {.₆} {.₄} {.₆} {₁₆} {₄₆} {()}
  lemma-[7a] {.₁} {.₆} {.₄} {.₇} {₁₆} {₄₇} {()}
  lemma-[7a] {.₁} {.₆} {.₅} {.₆} {₁₆} {₅₆} {()}
  lemma-[7a] {.₁} {.₆} {.₅} {.₇} {₁₆} {₅₇} {()}
  lemma-[7a] {.₁} {.₆} {.₆} {.₇} {₁₆} {₆₇} {()}
  lemma-[7a] {.₁} {.₇} {.₀} {.₁} {₁₇} {₀₁} {()}
  lemma-[7a] {.₁} {.₇} {.₀} {.₂} {₁₇} {₀₂} {()}
  lemma-[7a] {.₁} {.₇} {.₀} {.₃} {₁₇} {₀₃} {()}
  lemma-[7a] {.₁} {.₇} {.₀} {.₄} {₁₇} {₀₄} {()}
  lemma-[7a] {.₁} {.₇} {.₀} {.₅} {₁₇} {₀₅} {()}
  lemma-[7a] {.₁} {.₇} {.₀} {.₆} {₁₇} {₀₆} {()}
  lemma-[7a] {.₁} {.₇} {.₀} {.₇} {₁₇} {₀₇} {()}
  lemma-[7a] {.₁} {.₇} {.₁} {.₂} {₁₇} {₁₂} {()}
  lemma-[7a] {.₁} {.₇} {.₁} {.₃} {₁₇} {₁₃} {()}
  lemma-[7a] {.₁} {.₇} {.₁} {.₄} {₁₇} {₁₄} {()}
  lemma-[7a] {.₁} {.₇} {.₁} {.₅} {₁₇} {₁₅} {()}
  lemma-[7a] {.₁} {.₇} {.₁} {.₆} {₁₇} {₁₆} {()}
  lemma-[7a] {.₁} {.₇} {.₁} {.₇} {₁₇} {₁₇} {()}
  lemma-[7a] {.₁} {.₇} {.₂} {.₃} {₁₇} {₂₃} {()}
  lemma-[7a] {.₁} {.₇} {.₂} {.₄} {₁₇} {₂₄} {()}
  lemma-[7a] {.₁} {.₇} {.₂} {.₅} {₁₇} {₂₅} {()}
  lemma-[7a] {.₁} {.₇} {.₂} {.₆} {₁₇} {₂₆} {()}
  lemma-[7a] {.₁} {.₇} {.₂} {.₇} {₁₇} {₂₇} {()}
  lemma-[7a] {.₁} {.₇} {.₃} {.₄} {₁₇} {₃₄} {()}
  lemma-[7a] {.₁} {.₇} {.₃} {.₅} {₁₇} {₃₅} {()}
  lemma-[7a] {.₁} {.₇} {.₃} {.₆} {₁₇} {₃₆} {()}
  lemma-[7a] {.₁} {.₇} {.₃} {.₇} {₁₇} {₃₇} {()}
  lemma-[7a] {.₁} {.₇} {.₄} {.₅} {₁₇} {₄₅} {()}
  lemma-[7a] {.₁} {.₇} {.₄} {.₆} {₁₇} {₄₆} {()}
  lemma-[7a] {.₁} {.₇} {.₄} {.₇} {₁₇} {₄₇} {()}
  lemma-[7a] {.₁} {.₇} {.₅} {.₆} {₁₇} {₅₆} {()}
  lemma-[7a] {.₁} {.₇} {.₅} {.₇} {₁₇} {₅₇} {()}
  lemma-[7a] {.₁} {.₇} {.₆} {.₇} {₁₇} {₆₇} {()}
  lemma-[7a] {.₂} {.₃} {.₀} {.₁} {₂₃} {₀₁} {₁₂} = axiom [S8a]
  lemma-[7a] {.₂} {.₃} {.₀} {.₂} {₂₃} {₀₂} {()}
  lemma-[7a] {.₂} {.₃} {.₀} {.₃} {₂₃} {₀₃} {()}
  lemma-[7a] {.₂} {.₃} {.₀} {.₄} {₂₃} {₀₄} {()}
  lemma-[7a] {.₂} {.₃} {.₀} {.₅} {₂₃} {₀₅} {()}
  lemma-[7a] {.₂} {.₃} {.₀} {.₆} {₂₃} {₀₆} {()}
  lemma-[7a] {.₂} {.₃} {.₀} {.₇} {₂₃} {₀₇} {()}
  lemma-[7a] {.₂} {.₃} {.₁} {.₂} {₂₃} {₁₂} {()}
  lemma-[7a] {.₂} {.₃} {.₁} {.₃} {₂₃} {₁₃} {()}
  lemma-[7a] {.₂} {.₃} {.₁} {.₄} {₂₃} {₁₄} {()}
  lemma-[7a] {.₂} {.₃} {.₁} {.₅} {₂₃} {₁₅} {()}
  lemma-[7a] {.₂} {.₃} {.₁} {.₆} {₂₃} {₁₆} {()}
  lemma-[7a] {.₂} {.₃} {.₁} {.₇} {₂₃} {₁₇} {()}
  lemma-[7a] {.₂} {.₃} {.₂} {.₃} {₂₃} {₂₃} {()}
  lemma-[7a] {.₂} {.₃} {.₂} {.₄} {₂₃} {₂₄} {()}
  lemma-[7a] {.₂} {.₃} {.₂} {.₅} {₂₃} {₂₅} {()}
  lemma-[7a] {.₂} {.₃} {.₂} {.₆} {₂₃} {₂₆} {()}
  lemma-[7a] {.₂} {.₃} {.₂} {.₇} {₂₃} {₂₇} {()}
  lemma-[7a] {.₂} {.₃} {.₃} {.₄} {₂₃} {₃₄} {()}
  lemma-[7a] {.₂} {.₃} {.₃} {.₅} {₂₃} {₃₅} {()}
  lemma-[7a] {.₂} {.₃} {.₃} {.₆} {₂₃} {₃₆} {()}
  lemma-[7a] {.₂} {.₃} {.₃} {.₇} {₂₃} {₃₇} {()}
  lemma-[7a] {.₂} {.₃} {.₄} {.₅} {₂₃} {₄₅} {()}
  lemma-[7a] {.₂} {.₃} {.₄} {.₆} {₂₃} {₄₆} {()}
  lemma-[7a] {.₂} {.₃} {.₄} {.₇} {₂₃} {₄₇} {()}
  lemma-[7a] {.₂} {.₃} {.₅} {.₆} {₂₃} {₅₆} {()}
  lemma-[7a] {.₂} {.₃} {.₅} {.₇} {₂₃} {₅₇} {()}
  lemma-[7a] {.₂} {.₃} {.₆} {.₇} {₂₃} {₆₇} {()}
  lemma-[7a] {.₂} {.₄} {.₀} {.₁} {₂₄} {₀₁} {₁₂} = by-basis-change (X₃₄) (axiom [S8a]) 100 auto
  lemma-[7a] {.₂} {.₄} {.₀} {.₂} {₂₄} {₀₂} {()}
  lemma-[7a] {.₂} {.₄} {.₀} {.₃} {₂₄} {₀₃} {()}
  lemma-[7a] {.₂} {.₄} {.₀} {.₄} {₂₄} {₀₄} {()}
  lemma-[7a] {.₂} {.₄} {.₀} {.₅} {₂₄} {₀₅} {()}
  lemma-[7a] {.₂} {.₄} {.₀} {.₆} {₂₄} {₀₆} {()}
  lemma-[7a] {.₂} {.₄} {.₀} {.₇} {₂₄} {₀₇} {()}
  lemma-[7a] {.₂} {.₄} {.₁} {.₂} {₂₄} {₁₂} {()}
  lemma-[7a] {.₂} {.₄} {.₁} {.₃} {₂₄} {₁₃} {()}
  lemma-[7a] {.₂} {.₄} {.₁} {.₄} {₂₄} {₁₄} {()}
  lemma-[7a] {.₂} {.₄} {.₁} {.₅} {₂₄} {₁₅} {()}
  lemma-[7a] {.₂} {.₄} {.₁} {.₆} {₂₄} {₁₆} {()}
  lemma-[7a] {.₂} {.₄} {.₁} {.₇} {₂₄} {₁₇} {()}
  lemma-[7a] {.₂} {.₄} {.₂} {.₃} {₂₄} {₂₃} {()}
  lemma-[7a] {.₂} {.₄} {.₂} {.₄} {₂₄} {₂₄} {()}
  lemma-[7a] {.₂} {.₄} {.₂} {.₅} {₂₄} {₂₅} {()}
  lemma-[7a] {.₂} {.₄} {.₂} {.₆} {₂₄} {₂₆} {()}
  lemma-[7a] {.₂} {.₄} {.₂} {.₇} {₂₄} {₂₇} {()}
  lemma-[7a] {.₂} {.₄} {.₃} {.₄} {₂₄} {₃₄} {()}
  lemma-[7a] {.₂} {.₄} {.₃} {.₅} {₂₄} {₃₅} {()}
  lemma-[7a] {.₂} {.₄} {.₃} {.₆} {₂₄} {₃₆} {()}
  lemma-[7a] {.₂} {.₄} {.₃} {.₇} {₂₄} {₃₇} {()}
  lemma-[7a] {.₂} {.₄} {.₄} {.₅} {₂₄} {₄₅} {()}
  lemma-[7a] {.₂} {.₄} {.₄} {.₆} {₂₄} {₄₆} {()}
  lemma-[7a] {.₂} {.₄} {.₄} {.₇} {₂₄} {₄₇} {()}
  lemma-[7a] {.₂} {.₄} {.₅} {.₆} {₂₄} {₅₆} {()}
  lemma-[7a] {.₂} {.₄} {.₅} {.₇} {₂₄} {₅₇} {()}
  lemma-[7a] {.₂} {.₄} {.₆} {.₇} {₂₄} {₆₇} {()}
  lemma-[7a] {.₂} {.₅} {.₀} {.₁} {₂₅} {₀₁} {₁₂} = by-basis-change (X₃₅) (axiom [S8a]) 100 auto
  lemma-[7a] {.₂} {.₅} {.₀} {.₂} {₂₅} {₀₂} {()}
  lemma-[7a] {.₂} {.₅} {.₀} {.₃} {₂₅} {₀₃} {()}
  lemma-[7a] {.₂} {.₅} {.₀} {.₄} {₂₅} {₀₄} {()}
  lemma-[7a] {.₂} {.₅} {.₀} {.₅} {₂₅} {₀₅} {()}
  lemma-[7a] {.₂} {.₅} {.₀} {.₆} {₂₅} {₀₆} {()}
  lemma-[7a] {.₂} {.₅} {.₀} {.₇} {₂₅} {₀₇} {()}
  lemma-[7a] {.₂} {.₅} {.₁} {.₂} {₂₅} {₁₂} {()}
  lemma-[7a] {.₂} {.₅} {.₁} {.₃} {₂₅} {₁₃} {()}
  lemma-[7a] {.₂} {.₅} {.₁} {.₄} {₂₅} {₁₄} {()}
  lemma-[7a] {.₂} {.₅} {.₁} {.₅} {₂₅} {₁₅} {()}
  lemma-[7a] {.₂} {.₅} {.₁} {.₆} {₂₅} {₁₆} {()}
  lemma-[7a] {.₂} {.₅} {.₁} {.₇} {₂₅} {₁₇} {()}
  lemma-[7a] {.₂} {.₅} {.₂} {.₃} {₂₅} {₂₃} {()}
  lemma-[7a] {.₂} {.₅} {.₂} {.₄} {₂₅} {₂₄} {()}
  lemma-[7a] {.₂} {.₅} {.₂} {.₅} {₂₅} {₂₅} {()}
  lemma-[7a] {.₂} {.₅} {.₂} {.₆} {₂₅} {₂₆} {()}
  lemma-[7a] {.₂} {.₅} {.₂} {.₇} {₂₅} {₂₇} {()}
  lemma-[7a] {.₂} {.₅} {.₃} {.₄} {₂₅} {₃₄} {()}
  lemma-[7a] {.₂} {.₅} {.₃} {.₅} {₂₅} {₃₅} {()}
  lemma-[7a] {.₂} {.₅} {.₃} {.₆} {₂₅} {₃₆} {()}
  lemma-[7a] {.₂} {.₅} {.₃} {.₇} {₂₅} {₃₇} {()}
  lemma-[7a] {.₂} {.₅} {.₄} {.₅} {₂₅} {₄₅} {()}
  lemma-[7a] {.₂} {.₅} {.₄} {.₆} {₂₅} {₄₆} {()}
  lemma-[7a] {.₂} {.₅} {.₄} {.₇} {₂₅} {₄₇} {()}
  lemma-[7a] {.₂} {.₅} {.₅} {.₆} {₂₅} {₅₆} {()}
  lemma-[7a] {.₂} {.₅} {.₅} {.₇} {₂₅} {₅₇} {()}
  lemma-[7a] {.₂} {.₅} {.₆} {.₇} {₂₅} {₆₇} {()}
  lemma-[7a] {.₂} {.₆} {.₀} {.₁} {₂₆} {₀₁} {₁₂} = by-basis-change (X₃₆) (axiom [S8a]) 100 auto
  lemma-[7a] {.₂} {.₆} {.₀} {.₂} {₂₆} {₀₂} {()}
  lemma-[7a] {.₂} {.₆} {.₀} {.₃} {₂₆} {₀₃} {()}
  lemma-[7a] {.₂} {.₆} {.₀} {.₄} {₂₆} {₀₄} {()}
  lemma-[7a] {.₂} {.₆} {.₀} {.₅} {₂₆} {₀₅} {()}
  lemma-[7a] {.₂} {.₆} {.₀} {.₆} {₂₆} {₀₆} {()}
  lemma-[7a] {.₂} {.₆} {.₀} {.₇} {₂₆} {₀₇} {()}
  lemma-[7a] {.₂} {.₆} {.₁} {.₂} {₂₆} {₁₂} {()}
  lemma-[7a] {.₂} {.₆} {.₁} {.₃} {₂₆} {₁₃} {()}
  lemma-[7a] {.₂} {.₆} {.₁} {.₄} {₂₆} {₁₄} {()}
  lemma-[7a] {.₂} {.₆} {.₁} {.₅} {₂₆} {₁₅} {()}
  lemma-[7a] {.₂} {.₆} {.₁} {.₆} {₂₆} {₁₆} {()}
  lemma-[7a] {.₂} {.₆} {.₁} {.₇} {₂₆} {₁₇} {()}
  lemma-[7a] {.₂} {.₆} {.₂} {.₃} {₂₆} {₂₃} {()}
  lemma-[7a] {.₂} {.₆} {.₂} {.₄} {₂₆} {₂₄} {()}
  lemma-[7a] {.₂} {.₆} {.₂} {.₅} {₂₆} {₂₅} {()}
  lemma-[7a] {.₂} {.₆} {.₂} {.₆} {₂₆} {₂₆} {()}
  lemma-[7a] {.₂} {.₆} {.₂} {.₇} {₂₆} {₂₇} {()}
  lemma-[7a] {.₂} {.₆} {.₃} {.₄} {₂₆} {₃₄} {()}
  lemma-[7a] {.₂} {.₆} {.₃} {.₅} {₂₆} {₃₅} {()}
  lemma-[7a] {.₂} {.₆} {.₃} {.₆} {₂₆} {₃₆} {()}
  lemma-[7a] {.₂} {.₆} {.₃} {.₇} {₂₆} {₃₇} {()}
  lemma-[7a] {.₂} {.₆} {.₄} {.₅} {₂₆} {₄₅} {()}
  lemma-[7a] {.₂} {.₆} {.₄} {.₆} {₂₆} {₄₆} {()}
  lemma-[7a] {.₂} {.₆} {.₄} {.₇} {₂₆} {₄₇} {()}
  lemma-[7a] {.₂} {.₆} {.₅} {.₆} {₂₆} {₅₆} {()}
  lemma-[7a] {.₂} {.₆} {.₅} {.₇} {₂₆} {₅₇} {()}
  lemma-[7a] {.₂} {.₆} {.₆} {.₇} {₂₆} {₆₇} {()}
  lemma-[7a] {.₂} {.₇} {.₀} {.₁} {₂₇} {₀₁} {₁₂} = by-basis-change (X₃₇) (axiom [S8a]) 100 auto
  lemma-[7a] {.₂} {.₇} {.₀} {.₂} {₂₇} {₀₂} {()}
  lemma-[7a] {.₂} {.₇} {.₀} {.₃} {₂₇} {₀₃} {()}
  lemma-[7a] {.₂} {.₇} {.₀} {.₄} {₂₇} {₀₄} {()}
  lemma-[7a] {.₂} {.₇} {.₀} {.₅} {₂₇} {₀₅} {()}
  lemma-[7a] {.₂} {.₇} {.₀} {.₆} {₂₇} {₀₆} {()}
  lemma-[7a] {.₂} {.₇} {.₀} {.₇} {₂₇} {₀₇} {()}
  lemma-[7a] {.₂} {.₇} {.₁} {.₂} {₂₇} {₁₂} {()}
  lemma-[7a] {.₂} {.₇} {.₁} {.₃} {₂₇} {₁₃} {()}
  lemma-[7a] {.₂} {.₇} {.₁} {.₄} {₂₇} {₁₄} {()}
  lemma-[7a] {.₂} {.₇} {.₁} {.₅} {₂₇} {₁₅} {()}
  lemma-[7a] {.₂} {.₇} {.₁} {.₆} {₂₇} {₁₆} {()}
  lemma-[7a] {.₂} {.₇} {.₁} {.₇} {₂₇} {₁₇} {()}
  lemma-[7a] {.₂} {.₇} {.₂} {.₃} {₂₇} {₂₃} {()}
  lemma-[7a] {.₂} {.₇} {.₂} {.₄} {₂₇} {₂₄} {()}
  lemma-[7a] {.₂} {.₇} {.₂} {.₅} {₂₇} {₂₅} {()}
  lemma-[7a] {.₂} {.₇} {.₂} {.₆} {₂₇} {₂₆} {()}
  lemma-[7a] {.₂} {.₇} {.₂} {.₇} {₂₇} {₂₇} {()}
  lemma-[7a] {.₂} {.₇} {.₃} {.₄} {₂₇} {₃₄} {()}
  lemma-[7a] {.₂} {.₇} {.₃} {.₅} {₂₇} {₃₅} {()}
  lemma-[7a] {.₂} {.₇} {.₃} {.₆} {₂₇} {₃₆} {()}
  lemma-[7a] {.₂} {.₇} {.₃} {.₇} {₂₇} {₃₇} {()}
  lemma-[7a] {.₂} {.₇} {.₄} {.₅} {₂₇} {₄₅} {()}
  lemma-[7a] {.₂} {.₇} {.₄} {.₆} {₂₇} {₄₆} {()}
  lemma-[7a] {.₂} {.₇} {.₄} {.₇} {₂₇} {₄₇} {()}
  lemma-[7a] {.₂} {.₇} {.₅} {.₆} {₂₇} {₅₆} {()}
  lemma-[7a] {.₂} {.₇} {.₅} {.₇} {₂₇} {₅₇} {()}
  lemma-[7a] {.₂} {.₇} {.₆} {.₇} {₂₇} {₆₇} {()}
  lemma-[7a] {.₃} {.₄} {.₀} {.₁} {₃₄} {₀₁} {₁₃} = by-basis-change (X₃₄ • X₂₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₄} {.₀} {.₂} {₃₄} {₀₂} {₂₃} = by-basis-change (X₃₄ • X₂₃ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₄} {.₀} {.₃} {₃₄} {₀₃} {()}
  lemma-[7a] {.₃} {.₄} {.₀} {.₄} {₃₄} {₀₄} {()}
  lemma-[7a] {.₃} {.₄} {.₀} {.₅} {₃₄} {₀₅} {()}
  lemma-[7a] {.₃} {.₄} {.₀} {.₆} {₃₄} {₀₆} {()}
  lemma-[7a] {.₃} {.₄} {.₀} {.₇} {₃₄} {₀₇} {()}
  lemma-[7a] {.₃} {.₄} {.₁} {.₂} {₃₄} {₁₂} {₂₃} = by-basis-change (X₃₄ • X₂₃ • X₁₂ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₄} {.₁} {.₃} {₃₄} {₁₃} {()}
  lemma-[7a] {.₃} {.₄} {.₁} {.₄} {₃₄} {₁₄} {()}
  lemma-[7a] {.₃} {.₄} {.₁} {.₅} {₃₄} {₁₅} {()}
  lemma-[7a] {.₃} {.₄} {.₁} {.₆} {₃₄} {₁₆} {()}
  lemma-[7a] {.₃} {.₄} {.₁} {.₇} {₃₄} {₁₇} {()}
  lemma-[7a] {.₃} {.₄} {.₂} {.₃} {₃₄} {₂₃} {()}
  lemma-[7a] {.₃} {.₄} {.₂} {.₄} {₃₄} {₂₄} {()}
  lemma-[7a] {.₃} {.₄} {.₂} {.₅} {₃₄} {₂₅} {()}
  lemma-[7a] {.₃} {.₄} {.₂} {.₆} {₃₄} {₂₆} {()}
  lemma-[7a] {.₃} {.₄} {.₂} {.₇} {₃₄} {₂₇} {()}
  lemma-[7a] {.₃} {.₄} {.₃} {.₄} {₃₄} {₃₄} {()}
  lemma-[7a] {.₃} {.₄} {.₃} {.₅} {₃₄} {₃₅} {()}
  lemma-[7a] {.₃} {.₄} {.₃} {.₆} {₃₄} {₃₆} {()}
  lemma-[7a] {.₃} {.₄} {.₃} {.₇} {₃₄} {₃₇} {()}
  lemma-[7a] {.₃} {.₄} {.₄} {.₅} {₃₄} {₄₅} {()}
  lemma-[7a] {.₃} {.₄} {.₄} {.₆} {₃₄} {₄₆} {()}
  lemma-[7a] {.₃} {.₄} {.₄} {.₇} {₃₄} {₄₇} {()}
  lemma-[7a] {.₃} {.₄} {.₅} {.₆} {₃₄} {₅₆} {()}
  lemma-[7a] {.₃} {.₄} {.₅} {.₇} {₃₄} {₅₇} {()}
  lemma-[7a] {.₃} {.₄} {.₆} {.₇} {₃₄} {₆₇} {()}
  lemma-[7a] {.₃} {.₅} {.₀} {.₁} {₃₅} {₀₁} {₁₃} = by-basis-change (X₃₅ • X₂₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₅} {.₀} {.₂} {₃₅} {₀₂} {₂₃} = by-basis-change (X₃₅ • X₂₃ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₅} {.₀} {.₃} {₃₅} {₀₃} {()}
  lemma-[7a] {.₃} {.₅} {.₀} {.₄} {₃₅} {₀₄} {()}
  lemma-[7a] {.₃} {.₅} {.₀} {.₅} {₃₅} {₀₅} {()}
  lemma-[7a] {.₃} {.₅} {.₀} {.₆} {₃₅} {₀₆} {()}
  lemma-[7a] {.₃} {.₅} {.₀} {.₇} {₃₅} {₀₇} {()}
  lemma-[7a] {.₃} {.₅} {.₁} {.₂} {₃₅} {₁₂} {₂₃} = by-basis-change (X₃₅ • X₂₃ • X₁₂ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₅} {.₁} {.₃} {₃₅} {₁₃} {()}
  lemma-[7a] {.₃} {.₅} {.₁} {.₄} {₃₅} {₁₄} {()}
  lemma-[7a] {.₃} {.₅} {.₁} {.₅} {₃₅} {₁₅} {()}
  lemma-[7a] {.₃} {.₅} {.₁} {.₆} {₃₅} {₁₆} {()}
  lemma-[7a] {.₃} {.₅} {.₁} {.₇} {₃₅} {₁₇} {()}
  lemma-[7a] {.₃} {.₅} {.₂} {.₃} {₃₅} {₂₃} {()}
  lemma-[7a] {.₃} {.₅} {.₂} {.₄} {₃₅} {₂₄} {()}
  lemma-[7a] {.₃} {.₅} {.₂} {.₅} {₃₅} {₂₅} {()}
  lemma-[7a] {.₃} {.₅} {.₂} {.₆} {₃₅} {₂₆} {()}
  lemma-[7a] {.₃} {.₅} {.₂} {.₇} {₃₅} {₂₇} {()}
  lemma-[7a] {.₃} {.₅} {.₃} {.₄} {₃₅} {₃₄} {()}
  lemma-[7a] {.₃} {.₅} {.₃} {.₅} {₃₅} {₃₅} {()}
  lemma-[7a] {.₃} {.₅} {.₃} {.₆} {₃₅} {₃₆} {()}
  lemma-[7a] {.₃} {.₅} {.₃} {.₇} {₃₅} {₃₇} {()}
  lemma-[7a] {.₃} {.₅} {.₄} {.₅} {₃₅} {₄₅} {()}
  lemma-[7a] {.₃} {.₅} {.₄} {.₆} {₃₅} {₄₆} {()}
  lemma-[7a] {.₃} {.₅} {.₄} {.₇} {₃₅} {₄₇} {()}
  lemma-[7a] {.₃} {.₅} {.₅} {.₆} {₃₅} {₅₆} {()}
  lemma-[7a] {.₃} {.₅} {.₅} {.₇} {₃₅} {₅₇} {()}
  lemma-[7a] {.₃} {.₅} {.₆} {.₇} {₃₅} {₆₇} {()}
  lemma-[7a] {.₃} {.₆} {.₀} {.₁} {₃₆} {₀₁} {₁₃} = by-basis-change (X₃₆ • X₂₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₆} {.₀} {.₂} {₃₆} {₀₂} {₂₃} = by-basis-change (X₃₆ • X₂₃ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₆} {.₀} {.₃} {₃₆} {₀₃} {()}
  lemma-[7a] {.₃} {.₆} {.₀} {.₄} {₃₆} {₀₄} {()}
  lemma-[7a] {.₃} {.₆} {.₀} {.₅} {₃₆} {₀₅} {()}
  lemma-[7a] {.₃} {.₆} {.₀} {.₆} {₃₆} {₀₆} {()}
  lemma-[7a] {.₃} {.₆} {.₀} {.₇} {₃₆} {₀₇} {()}
  lemma-[7a] {.₃} {.₆} {.₁} {.₂} {₃₆} {₁₂} {₂₃} = by-basis-change (X₃₆ • X₂₃ • X₁₂ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₆} {.₁} {.₃} {₃₆} {₁₃} {()}
  lemma-[7a] {.₃} {.₆} {.₁} {.₄} {₃₆} {₁₄} {()}
  lemma-[7a] {.₃} {.₆} {.₁} {.₅} {₃₆} {₁₅} {()}
  lemma-[7a] {.₃} {.₆} {.₁} {.₆} {₃₆} {₁₆} {()}
  lemma-[7a] {.₃} {.₆} {.₁} {.₇} {₃₆} {₁₇} {()}
  lemma-[7a] {.₃} {.₆} {.₂} {.₃} {₃₆} {₂₃} {()}
  lemma-[7a] {.₃} {.₆} {.₂} {.₄} {₃₆} {₂₄} {()}
  lemma-[7a] {.₃} {.₆} {.₂} {.₅} {₃₆} {₂₅} {()}
  lemma-[7a] {.₃} {.₆} {.₂} {.₆} {₃₆} {₂₆} {()}
  lemma-[7a] {.₃} {.₆} {.₂} {.₇} {₃₆} {₂₇} {()}
  lemma-[7a] {.₃} {.₆} {.₃} {.₄} {₃₆} {₃₄} {()}
  lemma-[7a] {.₃} {.₆} {.₃} {.₅} {₃₆} {₃₅} {()}
  lemma-[7a] {.₃} {.₆} {.₃} {.₆} {₃₆} {₃₆} {()}
  lemma-[7a] {.₃} {.₆} {.₃} {.₇} {₃₆} {₃₇} {()}
  lemma-[7a] {.₃} {.₆} {.₄} {.₅} {₃₆} {₄₅} {()}
  lemma-[7a] {.₃} {.₆} {.₄} {.₆} {₃₆} {₄₆} {()}
  lemma-[7a] {.₃} {.₆} {.₄} {.₇} {₃₆} {₄₇} {()}
  lemma-[7a] {.₃} {.₆} {.₅} {.₆} {₃₆} {₅₆} {()}
  lemma-[7a] {.₃} {.₆} {.₅} {.₇} {₃₆} {₅₇} {()}
  lemma-[7a] {.₃} {.₆} {.₆} {.₇} {₃₆} {₆₇} {()}
  lemma-[7a] {.₃} {.₇} {.₀} {.₁} {₃₇} {₀₁} {₁₃} = by-basis-change (X₃₇ • X₂₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₇} {.₀} {.₂} {₃₇} {₀₂} {₂₃} = by-basis-change (X₃₇ • X₂₃ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₇} {.₀} {.₃} {₃₇} {₀₃} {()}
  lemma-[7a] {.₃} {.₇} {.₀} {.₄} {₃₇} {₀₄} {()}
  lemma-[7a] {.₃} {.₇} {.₀} {.₅} {₃₇} {₀₅} {()}
  lemma-[7a] {.₃} {.₇} {.₀} {.₆} {₃₇} {₀₆} {()}
  lemma-[7a] {.₃} {.₇} {.₀} {.₇} {₃₇} {₀₇} {()}
  lemma-[7a] {.₃} {.₇} {.₁} {.₂} {₃₇} {₁₂} {₂₃} = by-basis-change (X₃₇ • X₂₃ • X₁₂ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₃} {.₇} {.₁} {.₃} {₃₇} {₁₃} {()}
  lemma-[7a] {.₃} {.₇} {.₁} {.₄} {₃₇} {₁₄} {()}
  lemma-[7a] {.₃} {.₇} {.₁} {.₅} {₃₇} {₁₅} {()}
  lemma-[7a] {.₃} {.₇} {.₁} {.₆} {₃₇} {₁₆} {()}
  lemma-[7a] {.₃} {.₇} {.₁} {.₇} {₃₇} {₁₇} {()}
  lemma-[7a] {.₃} {.₇} {.₂} {.₃} {₃₇} {₂₃} {()}
  lemma-[7a] {.₃} {.₇} {.₂} {.₄} {₃₇} {₂₄} {()}
  lemma-[7a] {.₃} {.₇} {.₂} {.₅} {₃₇} {₂₅} {()}
  lemma-[7a] {.₃} {.₇} {.₂} {.₆} {₃₇} {₂₆} {()}
  lemma-[7a] {.₃} {.₇} {.₂} {.₇} {₃₇} {₂₇} {()}
  lemma-[7a] {.₃} {.₇} {.₃} {.₄} {₃₇} {₃₄} {()}
  lemma-[7a] {.₃} {.₇} {.₃} {.₅} {₃₇} {₃₅} {()}
  lemma-[7a] {.₃} {.₇} {.₃} {.₆} {₃₇} {₃₆} {()}
  lemma-[7a] {.₃} {.₇} {.₃} {.₇} {₃₇} {₃₇} {()}
  lemma-[7a] {.₃} {.₇} {.₄} {.₅} {₃₇} {₄₅} {()}
  lemma-[7a] {.₃} {.₇} {.₄} {.₆} {₃₇} {₄₆} {()}
  lemma-[7a] {.₃} {.₇} {.₄} {.₇} {₃₇} {₄₇} {()}
  lemma-[7a] {.₃} {.₇} {.₅} {.₆} {₃₇} {₅₆} {()}
  lemma-[7a] {.₃} {.₇} {.₅} {.₇} {₃₇} {₅₇} {()}
  lemma-[7a] {.₃} {.₇} {.₆} {.₇} {₃₇} {₆₇} {()}
  lemma-[7a] {.₄} {.₅} {.₀} {.₁} {₄₅} {₀₁} {₁₄} = by-basis-change (X₃₅ • X₂₃ • X₃₄) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₅} {.₀} {.₂} {₄₅} {₀₂} {₂₄} = by-basis-change (X₃₅ • X₂₃ • X₃₄ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₅} {.₀} {.₃} {₄₅} {₀₃} {₃₄} = by-basis-change (X₃₅ • X₂₃ • X₃₄ • X₁₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₅} {.₀} {.₄} {₄₅} {₀₄} {()}
  lemma-[7a] {.₄} {.₅} {.₀} {.₅} {₄₅} {₀₅} {()}
  lemma-[7a] {.₄} {.₅} {.₀} {.₆} {₄₅} {₀₆} {()}
  lemma-[7a] {.₄} {.₅} {.₀} {.₇} {₄₅} {₀₇} {()}
  lemma-[7a] {.₄} {.₅} {.₁} {.₂} {₄₅} {₁₂} {₂₄} = by-basis-change (X₃₅ • X₂₃ • X₃₄ • X₁₂ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₅} {.₁} {.₃} {₄₅} {₁₃} {₃₄} = by-basis-change (X₃₅ • X₂₃ • X₃₄ • X₁₃ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₅} {.₁} {.₄} {₄₅} {₁₄} {()}
  lemma-[7a] {.₄} {.₅} {.₁} {.₅} {₄₅} {₁₅} {()}
  lemma-[7a] {.₄} {.₅} {.₁} {.₆} {₄₅} {₁₆} {()}
  lemma-[7a] {.₄} {.₅} {.₁} {.₇} {₄₅} {₁₇} {()}
  lemma-[7a] {.₄} {.₅} {.₂} {.₃} {₄₅} {₂₃} {₃₄} = by-basis-change (X₃₅ • X₂₃ • X₃₄ • X₁₃ • X₀₁ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₅} {.₂} {.₄} {₄₅} {₂₄} {()}
  lemma-[7a] {.₄} {.₅} {.₂} {.₅} {₄₅} {₂₅} {()}
  lemma-[7a] {.₄} {.₅} {.₂} {.₆} {₄₅} {₂₆} {()}
  lemma-[7a] {.₄} {.₅} {.₂} {.₇} {₄₅} {₂₇} {()}
  lemma-[7a] {.₄} {.₅} {.₃} {.₄} {₄₅} {₃₄} {()}
  lemma-[7a] {.₄} {.₅} {.₃} {.₅} {₄₅} {₃₅} {()}
  lemma-[7a] {.₄} {.₅} {.₃} {.₆} {₄₅} {₃₆} {()}
  lemma-[7a] {.₄} {.₅} {.₃} {.₇} {₄₅} {₃₇} {()}
  lemma-[7a] {.₄} {.₅} {.₄} {.₅} {₄₅} {₄₅} {()}
  lemma-[7a] {.₄} {.₅} {.₄} {.₆} {₄₅} {₄₆} {()}
  lemma-[7a] {.₄} {.₅} {.₄} {.₇} {₄₅} {₄₇} {()}
  lemma-[7a] {.₄} {.₅} {.₅} {.₆} {₄₅} {₅₆} {()}
  lemma-[7a] {.₄} {.₅} {.₅} {.₇} {₄₅} {₅₇} {()}
  lemma-[7a] {.₄} {.₅} {.₆} {.₇} {₄₅} {₆₇} {()}
  lemma-[7a] {.₄} {.₆} {.₀} {.₁} {₄₆} {₀₁} {₁₄} = by-basis-change (X₃₆ • X₂₃ • X₃₄) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₆} {.₀} {.₂} {₄₆} {₀₂} {₂₄} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₆} {.₀} {.₃} {₄₆} {₀₃} {₃₄} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₁₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₆} {.₀} {.₄} {₄₆} {₀₄} {()}
  lemma-[7a] {.₄} {.₆} {.₀} {.₅} {₄₆} {₀₅} {()}
  lemma-[7a] {.₄} {.₆} {.₀} {.₆} {₄₆} {₀₆} {()}
  lemma-[7a] {.₄} {.₆} {.₀} {.₇} {₄₆} {₀₇} {()}
  lemma-[7a] {.₄} {.₆} {.₁} {.₂} {₄₆} {₁₂} {₂₄} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₁₂ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₆} {.₁} {.₃} {₄₆} {₁₃} {₃₄} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₁₃ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₆} {.₁} {.₄} {₄₆} {₁₄} {()}
  lemma-[7a] {.₄} {.₆} {.₁} {.₅} {₄₆} {₁₅} {()}
  lemma-[7a] {.₄} {.₆} {.₁} {.₆} {₄₆} {₁₆} {()}
  lemma-[7a] {.₄} {.₆} {.₁} {.₇} {₄₆} {₁₇} {()}
  lemma-[7a] {.₄} {.₆} {.₂} {.₃} {₄₆} {₂₃} {₃₄} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₁₃ • X₀₁ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₆} {.₂} {.₄} {₄₆} {₂₄} {()}
  lemma-[7a] {.₄} {.₆} {.₂} {.₅} {₄₆} {₂₅} {()}
  lemma-[7a] {.₄} {.₆} {.₂} {.₆} {₄₆} {₂₆} {()}
  lemma-[7a] {.₄} {.₆} {.₂} {.₇} {₄₆} {₂₇} {()}
  lemma-[7a] {.₄} {.₆} {.₃} {.₄} {₄₆} {₃₄} {()}
  lemma-[7a] {.₄} {.₆} {.₃} {.₅} {₄₆} {₃₅} {()}
  lemma-[7a] {.₄} {.₆} {.₃} {.₆} {₄₆} {₃₆} {()}
  lemma-[7a] {.₄} {.₆} {.₃} {.₇} {₄₆} {₃₇} {()}
  lemma-[7a] {.₄} {.₆} {.₄} {.₅} {₄₆} {₄₅} {()}
  lemma-[7a] {.₄} {.₆} {.₄} {.₆} {₄₆} {₄₆} {()}
  lemma-[7a] {.₄} {.₆} {.₄} {.₇} {₄₆} {₄₇} {()}
  lemma-[7a] {.₄} {.₆} {.₅} {.₆} {₄₆} {₅₆} {()}
  lemma-[7a] {.₄} {.₆} {.₅} {.₇} {₄₆} {₅₇} {()}
  lemma-[7a] {.₄} {.₆} {.₆} {.₇} {₄₆} {₆₇} {()}
  lemma-[7a] {.₄} {.₇} {.₀} {.₁} {₄₇} {₀₁} {₁₄} = by-basis-change (X₃₇ • X₂₃ • X₃₄) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₇} {.₀} {.₂} {₄₇} {₀₂} {₂₄} = by-basis-change (X₃₇ • X₂₃ • X₃₄ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₇} {.₀} {.₃} {₄₇} {₀₃} {₃₄} = by-basis-change (X₃₇ • X₂₃ • X₃₄ • X₁₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₇} {.₀} {.₄} {₄₇} {₀₄} {()}
  lemma-[7a] {.₄} {.₇} {.₀} {.₅} {₄₇} {₀₅} {()}
  lemma-[7a] {.₄} {.₇} {.₀} {.₆} {₄₇} {₀₆} {()}
  lemma-[7a] {.₄} {.₇} {.₀} {.₇} {₄₇} {₀₇} {()}
  lemma-[7a] {.₄} {.₇} {.₁} {.₂} {₄₇} {₁₂} {₂₄} = by-basis-change (X₃₇ • X₂₃ • X₃₄ • X₁₂ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₇} {.₁} {.₃} {₄₇} {₁₃} {₃₄} = by-basis-change (X₃₇ • X₂₃ • X₃₄ • X₁₃ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₇} {.₁} {.₄} {₄₇} {₁₄} {()}
  lemma-[7a] {.₄} {.₇} {.₁} {.₅} {₄₇} {₁₅} {()}
  lemma-[7a] {.₄} {.₇} {.₁} {.₆} {₄₇} {₁₆} {()}
  lemma-[7a] {.₄} {.₇} {.₁} {.₇} {₄₇} {₁₇} {()}
  lemma-[7a] {.₄} {.₇} {.₂} {.₃} {₄₇} {₂₃} {₃₄} = by-basis-change (X₃₇ • X₂₃ • X₃₄ • X₁₃ • X₀₁ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₄} {.₇} {.₂} {.₄} {₄₇} {₂₄} {()}
  lemma-[7a] {.₄} {.₇} {.₂} {.₅} {₄₇} {₂₅} {()}
  lemma-[7a] {.₄} {.₇} {.₂} {.₆} {₄₇} {₂₆} {()}
  lemma-[7a] {.₄} {.₇} {.₂} {.₇} {₄₇} {₂₇} {()}
  lemma-[7a] {.₄} {.₇} {.₃} {.₄} {₄₇} {₃₄} {()}
  lemma-[7a] {.₄} {.₇} {.₃} {.₅} {₄₇} {₃₅} {()}
  lemma-[7a] {.₄} {.₇} {.₃} {.₆} {₄₇} {₃₆} {()}
  lemma-[7a] {.₄} {.₇} {.₃} {.₇} {₄₇} {₃₇} {()}
  lemma-[7a] {.₄} {.₇} {.₄} {.₅} {₄₇} {₄₅} {()}
  lemma-[7a] {.₄} {.₇} {.₄} {.₆} {₄₇} {₄₆} {()}
  lemma-[7a] {.₄} {.₇} {.₄} {.₇} {₄₇} {₄₇} {()}
  lemma-[7a] {.₄} {.₇} {.₅} {.₆} {₄₇} {₅₆} {()}
  lemma-[7a] {.₄} {.₇} {.₅} {.₇} {₄₇} {₅₇} {()}
  lemma-[7a] {.₄} {.₇} {.₆} {.₇} {₄₇} {₆₇} {()}
  lemma-[7a] {.₅} {.₆} {.₀} {.₁} {₅₆} {₀₁} {₁₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₆} {.₀} {.₂} {₅₆} {₀₂} {₂₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₆} {.₀} {.₃} {₅₆} {₀₃} {₃₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₁₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₆} {.₀} {.₄} {₅₆} {₀₄} {₄₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₁₄) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₆} {.₀} {.₅} {₅₆} {₀₅} {()}
  lemma-[7a] {.₅} {.₆} {.₀} {.₆} {₅₆} {₀₆} {()}
  lemma-[7a] {.₅} {.₆} {.₀} {.₇} {₅₆} {₀₇} {()}
  lemma-[7a] {.₅} {.₆} {.₁} {.₂} {₅₆} {₁₂} {₂₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₁₂ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₆} {.₁} {.₃} {₅₆} {₁₃} {₃₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₁₃ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₆} {.₁} {.₄} {₅₆} {₁₄} {₄₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₁₄ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₆} {.₁} {.₅} {₅₆} {₁₅} {()}
  lemma-[7a] {.₅} {.₆} {.₁} {.₆} {₅₆} {₁₆} {()}
  lemma-[7a] {.₅} {.₆} {.₁} {.₇} {₅₆} {₁₇} {()}
  lemma-[7a] {.₅} {.₆} {.₂} {.₃} {₅₆} {₂₃} {₃₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₁₃ • X₀₁ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₆} {.₂} {.₄} {₅₆} {₂₄} {₄₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₁₄ • X₀₁ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₆} {.₂} {.₅} {₅₆} {₂₅} {()}
  lemma-[7a] {.₅} {.₆} {.₂} {.₆} {₅₆} {₂₆} {()}
  lemma-[7a] {.₅} {.₆} {.₂} {.₇} {₅₆} {₂₇} {()}
  lemma-[7a] {.₅} {.₆} {.₃} {.₄} {₅₆} {₃₄} {₄₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₁₄ • X₀₁ • X₁₂ • X₂₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₆} {.₃} {.₅} {₅₆} {₃₅} {()}
  lemma-[7a] {.₅} {.₆} {.₃} {.₆} {₅₆} {₃₆} {()}
  lemma-[7a] {.₅} {.₆} {.₃} {.₇} {₅₆} {₃₇} {()}
  lemma-[7a] {.₅} {.₆} {.₄} {.₅} {₅₆} {₄₅} {()}
  lemma-[7a] {.₅} {.₆} {.₄} {.₆} {₅₆} {₄₆} {()}
  lemma-[7a] {.₅} {.₆} {.₄} {.₇} {₅₆} {₄₇} {()}
  lemma-[7a] {.₅} {.₆} {.₅} {.₆} {₅₆} {₅₆} {()}
  lemma-[7a] {.₅} {.₆} {.₅} {.₇} {₅₆} {₅₇} {()}
  lemma-[7a] {.₅} {.₆} {.₆} {.₇} {₅₆} {₆₇} {()}
  lemma-[7a] {.₅} {.₇} {.₀} {.₁} {₅₇} {₀₁} {₁₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₇} {.₀} {.₂} {₅₇} {₀₂} {₂₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₇} {.₀} {.₃} {₅₇} {₀₃} {₃₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₁₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₇} {.₀} {.₄} {₅₇} {₀₄} {₄₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₁₄) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₇} {.₀} {.₅} {₅₇} {₀₅} {()}
  lemma-[7a] {.₅} {.₇} {.₀} {.₆} {₅₇} {₀₆} {()}
  lemma-[7a] {.₅} {.₇} {.₀} {.₇} {₅₇} {₀₇} {()}
  lemma-[7a] {.₅} {.₇} {.₁} {.₂} {₅₇} {₁₂} {₂₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₁₂ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₇} {.₁} {.₃} {₅₇} {₁₃} {₃₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₁₃ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₇} {.₁} {.₄} {₅₇} {₁₄} {₄₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₁₄ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₇} {.₁} {.₅} {₅₇} {₁₅} {()}
  lemma-[7a] {.₅} {.₇} {.₁} {.₆} {₅₇} {₁₆} {()}
  lemma-[7a] {.₅} {.₇} {.₁} {.₇} {₅₇} {₁₇} {()}
  lemma-[7a] {.₅} {.₇} {.₂} {.₃} {₅₇} {₂₃} {₃₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₁₃ • X₀₁ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₇} {.₂} {.₄} {₅₇} {₂₄} {₄₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₁₄ • X₀₁ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₅} {.₇} {.₂} {.₅} {₅₇} {₂₅} {()}
  lemma-[7a] {.₅} {.₇} {.₂} {.₆} {₅₇} {₂₆} {()}
  lemma-[7a] {.₅} {.₇} {.₂} {.₇} {₅₇} {₂₇} {()}
  lemma-[7a] {.₅} {.₇} {.₃} {.₄} {₅₇} {₃₄} {₄₅} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₁₄ • X₀₁ • X₁₂ • X₂₃) (axiom [S8a]) 200 auto
  lemma-[7a] {.₅} {.₇} {.₃} {.₅} {₅₇} {₃₅} {()}
  lemma-[7a] {.₅} {.₇} {.₃} {.₆} {₅₇} {₃₆} {()}
  lemma-[7a] {.₅} {.₇} {.₃} {.₇} {₅₇} {₃₇} {()}
  lemma-[7a] {.₅} {.₇} {.₄} {.₅} {₅₇} {₄₅} {()}
  lemma-[7a] {.₅} {.₇} {.₄} {.₆} {₅₇} {₄₆} {()}
  lemma-[7a] {.₅} {.₇} {.₄} {.₇} {₅₇} {₄₇} {()}
  lemma-[7a] {.₅} {.₇} {.₅} {.₆} {₅₇} {₅₆} {()}
  lemma-[7a] {.₅} {.₇} {.₅} {.₇} {₅₇} {₅₇} {()}
  lemma-[7a] {.₅} {.₇} {.₆} {.₇} {₅₇} {₆₇} {()}
  lemma-[7a] {.₆} {.₇} {.₀} {.₁} {₆₇} {₀₁} {₁₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₀} {.₂} {₆₇} {₀₂} {₂₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₀} {.₃} {₆₇} {₀₃} {₃₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₀} {.₄} {₆₇} {₀₄} {₄₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₄) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₀} {.₅} {₆₇} {₀₅} {₅₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₅) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₀} {.₆} {₆₇} {₀₆} {()}
  lemma-[7a] {.₆} {.₇} {.₀} {.₇} {₆₇} {₀₇} {()}
  lemma-[7a] {.₆} {.₇} {.₁} {.₂} {₆₇} {₁₂} {₂₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₂ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₁} {.₃} {₆₇} {₁₃} {₃₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₃ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₁} {.₄} {₆₇} {₁₄} {₄₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₄ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₁} {.₅} {₆₇} {₁₅} {₅₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₅ • X₀₁) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₁} {.₆} {₆₇} {₁₆} {()}
  lemma-[7a] {.₆} {.₇} {.₁} {.₇} {₆₇} {₁₇} {()}
  lemma-[7a] {.₆} {.₇} {.₂} {.₃} {₆₇} {₂₃} {₃₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₃ • X₀₁ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₂} {.₄} {₆₇} {₂₄} {₄₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₄ • X₀₁ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₂} {.₅} {₆₇} {₂₅} {₅₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₅ • X₀₁ • X₁₂) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₂} {.₆} {₆₇} {₂₆} {()}
  lemma-[7a] {.₆} {.₇} {.₂} {.₇} {₆₇} {₂₇} {()}
  lemma-[7a] {.₆} {.₇} {.₃} {.₄} {₆₇} {₃₄} {₄₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₄ • X₀₁ • X₁₂ • X₂₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₃} {.₅} {₆₇} {₃₅} {₅₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₅ • X₀₁ • X₁₂ • X₂₃) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₃} {.₆} {₆₇} {₃₆} {()}
  lemma-[7a] {.₆} {.₇} {.₃} {.₇} {₆₇} {₃₇} {()}
  lemma-[7a] {.₆} {.₇} {.₄} {.₅} {₆₇} {₄₅} {₅₆} = by-basis-change (X₃₆ • X₂₃ • X₃₄ • X₄₅ • X₆₇ • X₅₆ • X₁₅ • X₀₁ • X₁₂ • X₂₃ • X₃₄) (axiom [S8a]) 100 auto
  lemma-[7a] {.₆} {.₇} {.₄} {.₆} {₆₇} {₄₆} {()}
  lemma-[7a] {.₆} {.₇} {.₄} {.₇} {₆₇} {₄₇} {()}
  lemma-[7a] {.₆} {.₇} {.₅} {.₆} {₆₇} {₅₆} {()}
  lemma-[7a] {.₆} {.₇} {.₅} {.₇} {₆₇} {₅₇} {()}
  lemma-[7a] {.₆} {.₇} {.₆} {.₇} {₆₇} {₆₇} {()}
